package md

type LevelListNode struct {
	LevelID     int    `json:"level_id"`     // 等级 ID
	LevelName   string `json:"level_name"`   // 等级名称
	LevelWeight int    `json:"level_weight"` // 等级权重
	Count       string `json:"count"`        // 等级人数
	IsUse       int    `json:"is_use"`       // 是否开启(0.否, 1.是)
	Memo        string `json:"memo"`         // 备注
	CreateAt    string `json:"create_at"`    // 创建时间
}

type GetLevelListResp struct {
	List     []LevelListNode `json:"list"`
	Paginate Paginate        `json:"paginate"`
}

type UpdateLevelReq struct {
	LevelID     string `json:"level_id"`
	IsUse       int    `json:"is_use"`       // 是否开启(0.否, 1.是)
	LevelName   string `json:"level_name"`   // 等级名称
	Memo        string `json:"memo"`         // 备注
	LevelWeight int    `json:"level_weight"` // 等级权重
}
